org.bdgenomics.adam.rdd.feature

# FeatureRDD

###
Related Docs: class FeatureRDD | package feature

#### object FeatureRDD

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FeatureRDD
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(rdd: RDD[Feature], sd: SequenceDictionary): FeatureRDD

   Builds a FeatureRDD given a sequence dictionary.

   Builds a FeatureRDD given a sequence dictionary.

   rdd

     The underlying Feature RDD to build from.

   sd

     The sequence dictionary for this FeatureRDD.

   returns

     Returns a new FeatureRDD.

5. #### def apply(rdd: RDD[Feature]): FeatureRDD

   Builds a FeatureRDD with an empty sequence dictionary.

   Builds a FeatureRDD with an empty sequence dictionary.

   rdd

     The underlying Feature RDD to build from.

   returns

     Returns a new FeatureRDD.

6. #### def apply(ds: Dataset[Feature], sequences: SequenceDictionary): FeatureRDD

   A GenomicRDD that wraps a dataset of Feature data.

   A GenomicRDD that wraps a dataset of Feature data.

   ds

     A Dataset of genomic Features.

   sequences

     The reference genome these data are aligned to.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped